Extending Qt Creator Manual | Message

Extending Qt Creator Manual 4.5.2

# Message Class

(QmlJS::StaticAnalysis::Message)

- List of all members, including inherited members

## Public Functions

| Message()
| Message(Type type, AST::SourceLocation location, const QString &arg1 = QString(), const QString &arg2 = QString(), bool appendTypeId = true)
bool | isValid() const
QString | suppressionString() const
DiagnosticMessage | toDiagnosticMessage() const

## Static Public Members

QList<Type> | allMessageTypes()
const PrototypeMessageData | prototypeForMessageType(Type type)
QRegExp | suppressionPattern()

## Member Function Documentation

### Message::Message()

Default constructs an instance of Message.

### Message::Message(Type type, AST::SourceLocation location, const QString &arg1 = QString(), const QString &arg2 = QString(), bool appendTypeId = true)

Default constructs an instance of Message.

### `[static]` QList<Type> Message::allMessageTypes()

### bool Message::isValid() const

### `[static]` const PrototypeMessageData Message::prototypeForMessageType(Type type)

### `[static]` QRegExp Message::suppressionPattern()

### QString Message::suppressionString() const

### DiagnosticMessage Message::toDiagnosticMessage() const